libzypp: zypp::base::logger::Loglinestream Class Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zypp::base::logger::Loglinestream Class Reference

## Public Member Functions
| Loglinestream (const std::string &group_r, LogLevel level_r)
| Loglinestream (const Loglinestream &)=delete
| Loglinestream (Loglinestream &&)=delete
Loglinestream & | operator= (const Loglinestream &)=delete
Loglinestream & | operator= (Loglinestream &&)=delete
| ~Loglinestream ()
std::ostream & | getStream (const char *fil_r, const char *fnc_r, int lne_r)

## Private Attributes
Loglinebuf | _mybuf
std::ostream | _mystream

## Detailed Description

Definition at line 501 of file LogControl.cc.

## Constructor & Destructor Documentation

## ◆ Loglinestream() [1/3]

zypp::base::logger::Loglinestream::Loglinestream | ( | const std::string & | group_r,
|  | LogLevel | level_r )
| inline

Definition at line 505 of file LogControl.cc.

## ◆ Loglinestream() [2/3]

zypp::base::logger::Loglinestream::Loglinestream | ( | const Loglinestream & |  | ) |
| delete

## ◆ Loglinestream() [3/3]

zypp::base::logger::Loglinestream::Loglinestream | ( | Loglinestream && |  | ) |
| delete

## ◆ ~Loglinestream()

zypp::base::logger::Loglinestream::~Loglinestream | ( |  | ) |
| inline

Definition at line 516 of file LogControl.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Loglinestream & zypp::base::logger::Loglinestream::operator= | ( | const Loglinestream & |  | ) |
| delete

## ◆ operator=() [2/2]

Loglinestream & zypp::base::logger::Loglinestream::operator= | ( | Loglinestream && |  | ) |
| delete

## ◆ getStream()

std::ostream & zypp::base::logger::Loglinestream::getStream | ( | const char * | fil_r,
|  | const char * | fnc_r,
|  | int | lne_r )
| inline

Definition at line 521 of file LogControl.cc.

## Member Data Documentation

## ◆ _mybuf

Loglinebuf zypp::base::logger::Loglinestream::_mybuf
| private

Definition at line 528 of file LogControl.cc.

## ◆ _mystream

std::ostream zypp::base::logger::Loglinestream::_mystream
| private

Definition at line 529 of file LogControl.cc.

The documentation for this class was generated from the following file:

- zypp-core/base/LogControl.cc